use crate::{types::fact::Fact, util::command::get_result_as_string};
use serde::{Deserialize, Serialize};
use serde_json::Value;

#[derive(Serialize, Deserialize)]
pub struct IPData {}
impl IPData {}

impl Fact for IPData {
    fn gather(&self) -> String {
        let res = get_result_as_string("ip", vec!["-j", "addr"]);
        let jsonres: Value = serde_json::from_str(res.as_str()).unwrap();
        let out = json!({ "ip_addr": jsonres });
        out.to_string()
    }
}
pub struct IPRouteData {}
impl IPRouteData {}

impl Fact for IPRouteData {
    fn gather(&self) -> String {
        let res = get_result_as_string("ip", vec!["-j", "route"]);
        let jsonres: Value = serde_json::from_str(res.as_str()).unwrap();
        let out = json!({
            "ip_route": jsonres
        });
        out.to_string()
    }
}
